"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useScript(_a) {
    var src = _a.src;
    var _b = react_1.useState(true), loading = _b[0], setLoading = _b[1];
    var _c = react_1.useState(null), error = _c[0], setError = _c[1];
    react_1.useEffect(function () {
        if (!isBrowser)
            return;
        if (document.querySelector("script[src=\"" + src + "\"]")) {
            setLoading(false);
            return;
        }
        var scriptEl = document.createElement('script');
        scriptEl.src = src;
        var handleLoad = function () { return setLoading(false); };
        var handleError = function (error) { return setError(error); };
        scriptEl.addEventListener('load', handleLoad);
        scriptEl.addEventListener('error', handleError);
        document.body.appendChild(scriptEl);
        return function () {
            scriptEl.removeEventListener('load', handleLoad);
            scriptEl.removeEventListener('error', handleError);
        };
    }, [src]);
    return {
        loading: loading,
        error: error
    };
}
exports.default = useScript;
var isBrowser = typeof window !== 'undefined' && typeof window.document !== 'undefined';
//# sourceMappingURL=use-script.js.map